robotpkg/wip/head-action bulk build results

Log for head-action-0.0.1r4 on Ubuntu-20.04-x86_64: bulk.log (Back)

=> Checking for clear installation ===> Installing bootstrap dependencies for head-action-0.0.1r4 => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-20.04-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-20.04-x86_64/All/tnftp-20130505~ssl.tgz ===> Checking bootstrap dependencies for head-action-0.0.1r4 => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20130505~ssl: tnftp-20130505~ssl found => Required system package gnupg>=1: gnupg-2.2.19 found => Required system package gzip: gzip-1.10 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found => Required system package pkgrepo2deb>=1.8: pkgrepo2deb-1.8 found ===> Done bootstrap-depends for head-action-0.0.1r4 ===> Installing full dependencies for head-action-0.0.1r4 => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Ubuntu-20.04-x86_64/All/orocos-kdl-1.4.0.tgz => Required system package py38-ros-catkin>=0.7<0.8: MISSING => Required system package ros-comm>=1.13<1.15: MISSING => Required system package ros-common-msgs>=1.12<1.13: MISSING => Required system package ros-control-msgs>=1.4<1.6: MISSING => Required system package ros-genmsg>=0.5<0.6: MISSING => Required system package ros-genpy>=0.6<0.7: MISSING => Required system package ros-geometry>=1.12<1.13: MISSING => Required system package ros-kdl-parser>=1.13<1.14: MISSING => Required system package ros-message-generation>=0.4<0.5: MISSING => Required system package ros-message-runtime>=0.4<0.5: MISSING => Required system package ros-orocos-kinematics-dynamics>=1.1: MISSING => Required system package ros-std-msgs>=0.5: MISSING => Dependency tnftp-20130505~ssl already installed ERROR: ====================================================================== ERROR: Missing system packages required for head-action-0.0.1r4: ERROR: ERROR: py38-ros-catkin>=0.7<0.8 (Ubuntu package ros-melodic-catkin) ERROR: ros-comm>=1.13<1.15 (Ubuntu package ros-melodic-ros-comm) ERROR: ros-common-msgs>=1.12<1.13 (Ubuntu package ros-melodic-common-msgs) ERROR: ros-control-msgs>=1.4<1.6 (Ubuntu package ros-melodic-control-msgs) ERROR: ros-genmsg>=0.5<0.6 (Ubuntu package ros-melodic-genmsg) ERROR: ros-genpy>=0.6<0.7 (Ubuntu package ros-melodic-genpy) ERROR: ros-geometry>=1.12<1.13 (Ubuntu package ros-melodic-geometry) ERROR: ros-kdl-parser>=1.13<1.14 (Ubuntu package ros-melodic-kdl-parser) ERROR: ros-message-generation>=0.4<0.5 (Ubuntu package ros-melodic-message-generation) ERROR: ros-message-runtime>=0.4<0.5 (Ubuntu package ros-melodic-message-runtime) ERROR: ros-orocos-kinematics-dynamics>=1.1 (Ubuntu package ros-melodic-orocos-kinematics-dynamics) ERROR: ros-std-msgs>=0.5 (Ubuntu package ros-melodic-std-msgs) ERROR: ERROR: Please use the system package management tool to install these ERROR: dependencies. If a robotpkg version of a dependency is available, ERROR: you can configure robotpkg.conf to use this version instead. ERROR: ERROR: See /local/robotpkg/var/tmp/robotpkg/wip/head-action/work/sysdep.log for details. ERROR: ====================================================================== make[2]: *** [/local/robotpkg/var/lib/robotpkg/mk/depends/sysdep.mk:35: sys-depends] Error 2 ===> Deinstalling for head-action Removed digest-20080510 Removed orocos-kdl-1.4.0 Removed tnftp-20130505~ssl